dnl version $Id: ac_dmtoffline.m4 6520 2011-11-01 19:24:44Z john.zweizig@LIGO.ORG $
dnl -*- m4 -*-
dnl----------------------------------------------------------------------
dnl This is a common set of macros to be used in the configuration of
dnl	the low latency data service
dnl----------------------------------------------------------------------

dnl======================================================================
dnl L3D2_CHECK_GDS
dnl   Check if GDS is installed
dnl======================================================================

AC_DEFUN([AC_L3D2_CHECK_GDS],
[
AC_PATH_PROG(DPUSH, DpushM)
AC_PATH_PROG(FRLOG, Frame_Log)
AC_PATH_PROG(SMCRE, smcreate)
AC_PATH_PROG(SMREP, smrepair)
])

dnl======================================================================
dnl L3D2_CHECK_USER
dnl   Check if Username specified is installed
dnl======================================================================

AC_DEFUN([AC_L3D2_CHECK_USER],
[
have_user=no
lluser="lluser"
AC_ARG_WITH(user,
	    AC_HELP_STRING([--with-user@<:@=USER@:>@],
			   [server user name @<:@lluser@:>@]),
	    [have_user=yes],
	    [have_user=no]
	    )
if test x$have_user = xyes -a ! -z $with_user
then
   lluser=$with_user
fi

AC_SUBST(lluser)
])
