# Don't generate any debuginfo packages
%global debug_package %{nil}

Summary: Ligo low-latency data distribution server initialization
Name: llldd
Version: 0.2
Release: 0
License: GPL
Group: Ligo daswg
URL: https://wiki.ligo.org/daswg/LowLatency
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:  gds-services >= 2.15.7

%define llservice llldd

%description
Init files for Ligo low-latency data distribution system

%prep
%setup -q

%build
./configure --prefix= --with-user=lluser
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre
getent group lluser >/dev/null || groupadd -r lluser
getent passwd lluser >/dev/null || \
    useradd -r -g lluser -d %{_datadir}/%{name} -s /sbin/nologin \
    -c "Low latency data distribution infrastructure" lluser
exit 0

%post
/sbin/chkconfig --add %llservice

%preun
if [ $1 -eq 0 ] ; then
    /sbin/service %llservice stop >/dev/null 2>&1
    /sbin/chkconfig --del %llservice
fi


%files
%defattr(-,root,root,-)
# %doc
%{_sysconfdir}/init.d/%{llservice}
%{_sysconfdir}/sysconfig/%{llservice}
%{_sysconfdir}/%{llservice}/*

%changelog
* Mon Dec 19 2011  <jzweizig@ldas-pcdev4.ligo.caltech.edu> - 
- Initial build.
